%global pypi_name galaxy-ng
%global real_version 4.5.0

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        4.5.0
Release:        3%{?dist}
Summary:        galaxy-ng plugin for the Pulp Project

License:        GPLv2+
URL:            https://github.com/ansible/galaxy_ng/
Source0:        galaxy-ng-4.5.0.tar.gz
Patch0:         galaxy-importer-044.patch
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-wheel

%description
%{summary}

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

Requires:       python%{python3_pkgversion}-django-automated-logging = 6.1.3
Requires:       python%{python3_pkgversion}-django-prometheus >= 2.0.0
Requires:       python%{python3_pkgversion}-drf-spectacular
Requires:       python%{python3_pkgversion}-dynaconf >= 3.1.7
Requires:       python%{python3_pkgversion}-galaxy-importer = 0.4.4
Requires:       python%{python3_pkgversion}-pulp-ansible < 1:0.14.0
Requires:       python%{python3_pkgversion}-pulp-ansible >= 1:0.13.0
Requires:       python%{python3_pkgversion}-pulp-container < 2.11.0
Requires:       python%{python3_pkgversion}-pulp-container >= 2.10.2
Requires:       python%{python3_pkgversion}-pulpcore < 3.19.0
Requires:       python%{python3_pkgversion}-pulpcore >= 3.18.1
Requires:       python%{python3_pkgversion}-setuptools
Requires:       python%{python3_pkgversion}-social-auth-app-django < 4.0.0
Requires:       python%{python3_pkgversion}-social-auth-app-django >= 3.1.0
Requires:       python%{python3_pkgversion}-social-auth-core < 4.0.0
Requires:       python%{python3_pkgversion}-social-auth-core >= 3.3.1

Provides:       pulpcore-plugin(galaxy-ng) = %{version}
Obsoletes:      python3-%{pypi_name} < %{version}-%{release}
%if 0%{?rhel} == 8
Obsoletes:      python38-%{pypi_name} < %{version}-%{release}
%endif

%description -n python%{python3_pkgversion}-%{pypi_name}
%{summary}


%prep
set -ex
%autosetup -p1 -n %{pypi_name}-%{real_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info


%build
set -ex
%py3_build


%install
set -ex
%py3_install


%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/galaxy_ng
%{python3_sitelib}/galaxy_ng-%{real_version}-py%{python3_version}.egg-info


%changelog
* Wed May 11 2022 Satoe Imaishi <simaishi@redhat.com> - 4.5.0-3
- Require galaxy-importer 0.4.4

* Tue May 10 2022 Yanis Guenane <yguenane@redhat.com> - 4.5.0-2
- Obsolete the old Python 3.8 package for smooth upgrade

* Tue May 10 2022 Yanis Guenane <yguenane@redhat.com> - 4.5.0-1
- Release python-galaxy-ng 4.5.0

* Thu Apr 28 2022 Odilon Sousa <osousa@redhat.com> - 4.5.0-0.1.b1
- Release python-galaxy-ng 4.5.0b1

* Fri Apr 22 2022 Yanis Guenane <yguenane@redhat.com> - 4.4.0-0.3.b1
- Build against python 3.9

* Wed Oct 20 2021 Odilon Sousa <osousa@redhat.com> - 4.4.0-0.2.b1
- Release python-galaxy-ng 4.4.0b1

* Mon Oct 18 2021 Evgeni Golov - 4.4.0-0.2.a2
- Add provides for 'pulpcore-plugin' and obsolete old name

* Mon Sep 27 2021 Evgeni Golov 4.4.0-0.1.a2
- Update to 4.4.0a2

* Mon Sep 13 2021 Evgeni Golov 4.4.0-0.1.a1
- Update to 4.4.0a1

* Fri Jun 04 2021 Evgeni Golov - 4.3.1-1
- Release python-galaxy-ng 4.3.1

* Wed Jun 02 2021 Evgeni Golov 4.3.0-1
- Update to 4.3.0

* Wed May 12 2021 Evgeni Golov 4.3.0-0.1.b4
- Update to 4.3.0b4

* Mon Apr 19 2021 Evgeni Golov 4.3.0-0.1.a2
- Update to 4.3.0a2

* Thu Apr 01 2021 Evgeni Golov 4.3.0-0.1.a1
- Update to 4.3.0a1

* Fri Dec 18 2020 Evgeni Golov - 4.2.1-1
- Release python-galaxy-ng 4.2.1

* Fri Nov 13 2020 Evgeni Golov 4.2.0-1
- Update to 4.2.0

* Thu Nov 05 2020 Evgeni Golov 4.2.0-0.1.rc3
- Update to 4.2.0rc3

* Tue Nov 03 2020 Evgeni Golov 4.2.0-0.1.rc2
- Update to 4.2.0rc2

* Mon Oct 05 2020 Evgeni Golov 4.2.0-0.1.rc1
- Update to 4.2.0rc1

* Mon Sep 28 2020 Evgeni Golov 4.2.0-0.1.b3
- Update to 4.2.0b3

* Thu Sep 17 2020 Evgeni Golov 4.2.0-0.1.b2
- Update to 4.2.0b2

* Mon Sep 14 2020 Evgeni Golov 4.2.0-0.1.b1
- Update to 4.2.0b1

* Fri Jul 17 2020 Evgeni Golov - 4.2.0-0.1.a10
- Initial package.
